> ## Documentation Index
> Fetch the complete documentation index at: https://developers.telnyx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update the amount of allocatable global outbound channels allocated to a specific managed account.

> Update the amount of allocatable global outbound channels allocated to a specific managed account.



## OpenAPI

````yaml https://telnyx-openapi-ng.s3.us-east-1.amazonaws.com/account-billing/managed-accounts.yml patch /managed_accounts/{id}/update_global_channel_limit
openapi: 3.1.0
info:
  title: Telnyx Managed Accounts API
  version: 2.0.0
  description: API for Managed accounts.
  contact:
    email: support@telnyx.com
servers:
  - url: https://api.telnyx.com/v2
security:
  - bearerAuth: []
paths:
  /managed_accounts/{id}/update_global_channel_limit:
    patch:
      tags:
        - Managed Accounts
      summary: >-
        Update the amount of allocatable global outbound channels allocated to a
        specific managed account.
      description: >-
        Update the amount of allocatable global outbound channels allocated to a
        specific managed account.
      operationId: UpdateManagedAccountGlobalChannelLimit
      parameters:
        - name: id
          in: path
          description: Managed Account User ID
          required: true
          schema:
            type: string
      requestBody:
        description: >-
          Parameters that define the changes to the global outbounds channels
          for the managed account
        required: true
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/UpdateManagedAccountGlobalChannelLimitRequest
      responses:
        '200':
          $ref: >-
            #/components/responses/UpdateManagedAccountGlobalChannelLimitResponse
        '401':
          $ref: '#/components/responses/managed-accounts_UnauthorizedResponse'
        '404':
          description: Resource not found
        '422':
          $ref: '#/components/responses/UnprocessableManagedAccountEntity'
      x-codeSamples:
        - lang: JavaScript
          source: >-
            import Telnyx from 'telnyx';


            const client = new Telnyx({
              apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
            });


            const response = await
            client.managedAccounts.updateGlobalChannelLimit('id');


            console.log(response.data);
        - lang: Python
          source: |-
            import os
            from telnyx import Telnyx

            client = Telnyx(
                api_key=os.environ.get("TELNYX_API_KEY"),  # This is the default and can be omitted
            )
            response = client.managed_accounts.update_global_channel_limit(
                id="id",
            )
            print(response.data)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/team-telnyx/telnyx-go\"\n\t\"github.com/team-telnyx/telnyx-go/option\"\n)\n\nfunc main() {\n\tclient := telnyx.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\tresponse, err := client.ManagedAccounts.UpdateGlobalChannelLimit(\n\t\tcontext.TODO(),\n\t\t\"id\",\n\t\ttelnyx.ManagedAccountUpdateGlobalChannelLimitParams{},\n\t)\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", response.Data)\n}\n"
        - lang: Java
          source: >-
            package com.telnyx.sdk.example;


            import com.telnyx.sdk.client.TelnyxClient;

            import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;

            import
            com.telnyx.sdk.models.managedaccounts.ManagedAccountUpdateGlobalChannelLimitParams;

            import
            com.telnyx.sdk.models.managedaccounts.ManagedAccountUpdateGlobalChannelLimitResponse;


            public final class Main {
                private Main() {}

                public static void main(String[] args) {
                    TelnyxClient client = TelnyxOkHttpClient.fromEnv();

                    ManagedAccountUpdateGlobalChannelLimitResponse response = client.managedAccounts().updateGlobalChannelLimit("id");
                }
            }
        - lang: Ruby
          source: |-
            require "telnyx"

            telnyx = Telnyx::Client.new(api_key: "My API Key")

            response = telnyx.managed_accounts.update_global_channel_limit("id")

            puts(response)
        - lang: CLI
          source: |-
            telnyx managed-accounts update-global-channel-limit \
              --api-key 'My API Key' \
              --id id
components:
  schemas:
    UpdateManagedAccountGlobalChannelLimitRequest:
      title: Update Managed Account Global Outbound Channels Request
      properties:
        channel_limit:
          type: integer
          description: >-
            Integer value that indicates the number of allocatable global
            outbound channels that should be allocated to the managed account.
            Must be 0 or more. If the value is 0 then the account will have no
            usable channels and will not be able to perform outbound calling.
          example: 30
      example:
        channel_limit: 30
      type: object
    SingleManagedAccountGlobalOutboundChannels:
      title: Global Outbound Channels Details for a Managed Account
      properties:
        channel_limit:
          type: integer
          description: >-
            Integer value that indicates the number of allocatable global
            outbound channels that are allocated to the managed account. If the
            value is 0 then the account will have no usable channels and will
            not be able to perform outbound calling.
          example: 30
        email:
          type: string
          description: The email of the managed account.
          example: customer@example.org
        id:
          type: string
          description: The user ID of the managed account.
          example: 096abcde-1122-3344-ab77-ff0123456789
        manager_account_id:
          type: string
          description: The user ID of the manager of the account.
          example: beeabcde-1122-3344-ab77-ff0123456789
        record_type:
          type: string
          description: The name of the type of data in the response.
          example: managed_account_global_outbound_settings
      example:
        channel_limit: 30
        email: allocate_demo@customer.com
        id: 096abcde-1122-3344-ab77-ff0123456789
        manager_account_id: beeabcde-1122-3344-ab77-ff0123456789
        record_type: managed_account_global_outbound_settings
      type: object
    UnprocessableEntityError:
      required:
        - code
        - title
      properties:
        code:
          type: string
          x-format: int64
        title:
          type: string
        detail:
          type: string
        source:
          type: object
          properties:
            pointer:
              description: JSON pointer (RFC6901) to the offending entity.
              type: string
              format: json-pointer
            parameter:
              description: Indicates which query parameter caused the error.
              type: string
        meta:
          type: object
          additionalProperties: true
      type: object
  responses:
    UpdateManagedAccountGlobalChannelLimitResponse:
      description: >-
        Successful response with information about the allocatable global
        outbound channels for the given account.
      content:
        application/json:
          schema:
            type: object
            properties:
              data:
                $ref: >-
                  #/components/schemas/SingleManagedAccountGlobalOutboundChannels
    managed-accounts_UnauthorizedResponse:
      description: >-
        Unauthenticated response. Happens when the current user cannot be
        authenticated.
    UnprocessableManagedAccountEntity:
      description: Unprocessable entity. Check the 'detail' field in response for details.
      content:
        application/json:
          schema:
            type: object
            properties:
              errors:
                type: array
                items:
                  $ref: '#/components/schemas/UnprocessableEntityError'
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http

````